Skip to main content
POST
/
subaccounts
/
{subaccountId}
/
fiat
/
withdrawals
Create a USD Withdrawal Request for a subaccount
curl --request POST \
  --url https://api.anchorage-staging.com/v2/subaccounts/{subaccountId}/fiat/withdrawals \
  --header 'Api-Access-Key: <api-key>' \
  --header 'Api-Signature: <api-signature>' \
  --header 'Api-Timestamp: <api-timestamp>' \
  --header 'Content-Type: application/json' \
  --data '
{
  "asset": {
    "assetType": "USD",
    "amount": "10.01"
  },
  "customerDetails": {
    "beneficiary": {
      "name": "John Doe",
      "accountNumber": "123",
      "address": {
        "address": "123 Main Street",
        "city": "Windsor",
        "state": "Iowa",
        "zipcode": "12312"
      }
    },
    "financialInstitution": {
      "address": {
        "address": "123",
        "address2": "123",
        "city": "123",
        "zipcode": "123",
        "state": "123"
      },
      "name": "name",
      "id": "123",
      "code": "ABA"
    },
    "memo": "12312312"
  }
}
'
{
  "data": {
    "transactionId": "c4c4652f-0c07-472c-a7f8-955fbe07775d"
  }
}

Authorizations

Api-Access-Key
string
header
required

An API key associated with a security role

Headers

Api-Signature
string
required

A hex-encoded Ed25519 signature of timestamp_epoch_seconds + uppercase(http_method) + request_path + request_body.

Construction example:

toHex(

ed25519Sign( signing_key, '{}{}{}{}'.format(timestamp_epoch_seconds, toUpper(httpMethod), httpRequestPath, httpBody) ) )
Pattern: ^[0-9A-Fa-f]{128,160}$
Api-Timestamp
integer<int64>
required

Current timestamp, represented as unix epoch seconds

Path Parameters

subaccountId
string
required

Unique Identifier for the subaccount

Body

application/json

Details of the withdrawal to create for the subaccount

asset
AssetAmount · object
required
customerDetails
WithdrawalBankInfo · object
required

Information needed to trigger the wire transfer

Response

The ID of the created Transaction

data
SubaccountWithdrawalResponse · object
required